# Create new reservations

You can pass multiple offer item to reserve.
### Items Attributes detail
#### Offer
The offer to reserve.
#### Quantity
The quantity of offer to reserve.
#### TicketSessions
Maps each ticket to its selected session.
### Examples of form's fields values
- for a `text` field : "M. Doe"
- for a `bool` field : "true" or "false",
- for a `integer` field : "3",
- for a `decimal` field : "2.99",
- for `date` field : "2025-01-01",
- for a `time` field : "07:30",
- for a `datetime` field : "2025-01-01 00:00:00,
- for a `single_choice` or `multi_choice` field you must pass any of the predefined values.

Endpoint: POST /v1/booking/reservations/_bulk
Version: release
Security: JWT

## Request fields (application/ld+json):

  - `items` (array)

  - `items.offer` (string)
    Example: https://example.com/

  - `items.quantity` (integer)
    Example: 1

  - `items.ticketSessions` (array)

  - `items.ticketSessions.ticket` (string)
    Example: https://example.com/

  - `items.ticketSessions.session` (any)

  - `items.ticketSessions.formData` (any)

  - `items.ticketSessions.formData.form` (string)
    Example: /v1/forms/0195197f-7918-7285-bb4b-7df2b682c3eb

  - `items.ticketSessions.formData.fields` (array)

  - `items.ticketSessions.formData.fields.field` (string)
    Example: /v1/forms/01953871-e6dd-7f75-8c2d-39a2dd122b22/fields/01953871-e6df-7135-bd6c-ebe655262810

  - `items.ticketSessions.formData.fields.value` (string)
    Example: Doe

  - `items.ticketSessions.seats` (array)

  - `externalReference` (string | null)

## Response 200 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `reservations` (array, required)

  - `reservations.expired` (boolean, required)

  - `reservations.catalog` (string, required)
    Example: /v1/ticketing/catalogs/0194cb23-170e-71f0-b4bb-0a7e644dea34

  - `reservations.id` (string, required)
    Example: 0194cb34-0ad0-711e-b447-6e7a9423e96c

  - `reservations.createdAt` (string, required)
    Example: 2025-01-27T15:15:20+00:00

  - `reservations.totalAmountInclTax` (string, required)
    Example: 100.00

  - `reservations.totalAmountExclTax` (string, required)
    Example: 80.00

  - `reservations.expiresAt` (string, required)
    Example: 2025-01-27T15:15:20+00:00

  - `reservations.items` (array, required)

  - `reservations.items.id` (string, required)
    Example: 0194cb22-b891-754c-8c4c-777b93f8d072

  - `reservations.items.amountInclTax` (string, required)
    Example: 100.00

  - `reservations.items.amountExclTax` (string, required)
    Example: 80.00

  - `reservations.items.date` (string | null, required)
    Example: 2025-01-27

  - `reservations.items.offer` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/0194cb33-2af2-7939-b81f-1cb361cb6a7e

  - `reservations.items.product` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/products/0194cb33-438f-7e76-9aae-f83b4a594e16

  - `reservations.items.offerTickets` (array, required)

  - `reservations.items.offerTickets.ticket` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/01956ae9-992b-729b-845e-f524d029139c/tickets/0194cb33-b620-7c91-9abe-1ff7b47ac3a2

  - `reservations.items.offerTickets.session` (string | null, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/01956ae9-992b-729b-845e-f524d029139c/tickets/0194cb33-b620-7c91-9abe-1ff7b47ac3a2/sessions/0194cb33-c80d-7abe-ad9d-daf1018ecc47

  - `reservations.items.offerTickets.seating` (any, required)

  - `reservations.items.offerTickets.seating.seatNumber` (string, required)
    Example: 12

  - `reservations.items.offerTickets.seating.level` (string | null, required)
    Example: WEST/LOW-01-02

  - `reservations.items.offerTickets.seating.row` (string | null, required)
    Example: R

  - `reservations.items.offerTickets.seating.stand` (string | null, required)
    Example: S

  - `reservations.items.offerTickets.seating.stair` (string | null, required)
    Example: 2

  - `reservations.items.offerTickets.seating.gate` (string | null, required)
    Example: G

  - `reservations.organization` (string, required)
    Example: /v1/organizations/0194cb23-170e-71f0-b4bb-0a7e644dea34

  - `reservations.externalReference` (string | null, required)

  - `reservations.order` (string | null, required)

  - `reservations.seatsArrangement` (string, required)
    Enum: "ADJACENT", "NON_ADJACENT", "UNKNOWN"

  - `reservations.releasable` (boolean, required)

  - `reservations.status` (string, required)
    Enum: "reserved", "released"

  - `failedReservations` (array, required)

  - `failedReservations.message` (string, required)

  - `failedReservations.items` (array, required)

  - `failedReservations.items.offer` (string, required)

  - `failedReservations.items.product` (string, required)

  - `failedReservations.items.offerTickets` (array, required)

  - `failedReservations.items.offerTickets.ticket` (string, required)

  - `failedReservations.items.offerTickets.session` (string | null, required)

## Response 400 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 422 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `status` (integer, required)

  - `violations` (array, required)

  - `violations.propertyPath` (string, required)
    The property path of the violation

  - `violations.message` (string, required)
    The message associated with the violation

  - `violations.code` (string)
    The code of the violation

  - `violations.hint` (string)
    An extra hint to understand the violation

  - `detail` (string, required)

  - `description` (string, required)

  - `type` (string, required)

  - `title` (string | null, required)

  - `instance` (string | null, required)

